Next: Component Widgets Up: Introduction to Tix Previous: Variables

### Methods

To carry out operations on the widget, you define a set of procedures called methods (to use common object-oriented terminology). Each method can be declared as public or private. Public methods can be called by the application programmer. For example, if the TixArrowButton class supports the public methods `invoke` and `invert`, the application programmer can issue the commands to call these method for the widget instance `.up`.

> `.up invert
> .up invoke`

In contrast, Private methods are of interests only to widget writers and cannot be called by application programmers.